Wireless IDS/IPS (Template)
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getWidsConfigTemplate | GET | Get wireless IDS config template |
| modifyWidsConfigTemplate | PUT | Modify wireless IDS config template |
| getWipsConfigTemplate | GET | Get wireless IPS config template |
| modifyWipsConfigTemplate | PUT | Modify wireless IPS config template |
getWidsConfigTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ids
Get wireless IDS config template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getWidsConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get wireless IDS config template
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyWidsConfigTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ids
Modify wireless IDS config template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema UpdateWidsConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes | Wireless IDS config status; true:enable, false:disable. |
level | integer | yes | Wireless IDS detection level; It should be a value as follows: 0:High; 1:Low; 2:Custom. |
detection | array<integer> | no | Wireless IDS detection type, the value is returned only when level is custom(2); It should be a value as follows: 0: Signature_disassociation_broadcast; 1: Signature_deauth_broadcast; 2: Detect_apspoofing; 3: Detect_adhoc_using_valid_ssid; 4: Detect_malformed_large_duration; 5: Detect_overflow_eapol_key; 6: Detect_ap_impersonation; 7: Detect_ht_greenfield; 8: Detect_incomplete_ie; 9: Detect_malformed_htie; 10: Detect_malformed_frame_auth; 11: Detect_malformed_assoc_req; 12: Detect_valid_ssid_misuse; 13: Detect_adhoc_network; 14: Detect_client_flood; 16: Detect_power_save_dos_flood_attack; 17: Detect_violence_break. |
// omada_call_operation
{
"operationId": "modifyWidsConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify wireless IDS config template
The interface requires one of the permissions:
Global Site Template Manager Modify
getWipsConfigTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ips
Get wireless IPS config template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getWipsConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get wireless IPS config template
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyWipsConfigTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/network-security/wireless-ips
Modify wireless IPS config template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema UpdateWipsConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes | Wireless IPS config status; true:enable, false:disable. |
deauthEn | boolean | yes | Wireless IPS deauthenticate config status; true:enable, false:disable. |
dynamicEn | boolean | yes | Wireless IPS dynamic block list config status; true:enable, false:disable. |
lockTime | integer | no | Wireless IPS device locking duration config status; It should be within the range of 300–36000; this field is required when parameter [dynamicEn] is true. |
// omada_call_operation
{
"operationId": "modifyWipsConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify wireless IPS config template
The interface requires one of the permissions:
Global Site Template Manager Modify